Subject: bug#70807: Resetting *-local variables before parsing

From: Ikumi Keita <[email-masked]>
Date: Sat, 22 Feb 2025 16:09:35 +0900

Hi Arash, sorry for late respose.

>>>>> Arash Esbati <[email-masked]> writes:
> Note how the entry for "hyperref" is gone, but not the add-to-list
> forms; the value of LaTeX-verbatim-* are not reset.  This probably
> applies for `LaTeX-verbatim-environments-local', but I didn't check.

> For me, the value of the -local version should be reset somewhere before
> parsing and running the style hooks again, but I couldn't find an
> appropriate place.  Does this approach make sense?  And if yes, any idea
> where to put the reset?  Any comments welcome.

I agree that -local variables should be cleared at C-c C-n. My
preliminary idea is to record names of such variables in a new internal
variable and kill them in `TeX-normal-mode' like
        (dolist (var TeX-normal-mode-reset-list)
          (set var nil)))
. (Maybe that new variable can be used to simplify `TeX-auto-store'.)

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW